Curse of Corrupt Poppet

From Feed The Beast Wiki
Jump to: navigation, search
Curse of Corrupt Poppet
ModWitchery
TypeRitual

The Curse of Corrupt Poppet is a curse added by Witchery mod. The Curse destroys up to 10 Voodoo Protection Poppets of a bound player or creature. A Poppet Protection Poppet bound to the victim will protect the curse from taking effect.

Recipe[edit | edit source]


{{#if:|


{{#if:i|





























{{#if:|

11x11
Curse of Corrupt Poppet

Destroy voodoo protection of taglocked being. Needs cat familiar.

> Taglock Kit (bound to target)
> Exhale of the Horned One
> Voodoo Protection Poppet
> Spectral Dust
> Blaze Powder

Altar power 7000

The performer of the curse must have a Cat Familiar.